<p align="center">
  <img src="https://raw.githubusercontent.com/PoisotLab/BioEnergeticFoodWebs.jl/master/docs/src/befw.png" alt="logo" />
</p>

# Bio-energetic food web model

This is a `julia` implementation of the bioenergetic model applied to
food webs.

[![RTD](https://img.shields.io/badge/doc-latest-blue.svg)](https://poisotlab.github.io/BioEnergeticFoodWebs.jl/latest/)
[![GitHub tag](https://img.shields.io/github/tag/PoisotLab/BioEnergeticFoodWebs.jl.svg)](https://github.com/PoisotLab/BioEnergeticFoodWebs.jl/releases)
[![DOI](https://zenodo.org/badge/70102258.svg)](https://zenodo.org/badge/latestdoi/70102258)
[![Gitter](https://img.shields.io/gitter/room/PoisotLab/BioEnergeticFoodWebs.jl.svg)](https://gitter.im/PoisotLab/BioEnergeticFoodWebs.jl)

Simulations of biomass flows in food webs is a difficult task, yet performing it
correctly is required to understand the ties betweeen the structure and
function of ecological communities. This package provides a robustly tested,
well-documented, computationally efficient common interface for the simulation
of bio-energetic systems in food webs... with additional features (see the documentation for more).

This package is no longer compatible with Julia 0.6 (or older).

## Getting started

Simply add the package using the package manager: 

~~~
import Pkg
Pkg.add("BioEnergeticFoodWebs")
~~~

and load it into your workspace: 

~~~
using BioEnergeticFoodWebs
~~~

Read [the documentation](https://poisotlab.github.io/BioEnergeticFoodWebs.jl/latest/) for a description of functions and examples. 

## Stable

![CI](https://github.com/PoisotLab/BioEnergeticFoodWebs.jl/workflows/CI/badge.svg?branch=master)
![CI](https://github.com/PoisotLab/BioEnergeticFoodWebs.jl/workflows/TagBot/badge.svg?branch=master)
![CI](https://github.com/PoisotLab/BioEnergeticFoodWebs.jl/workflows/CompatHelper/badge.svg?branch=master)
[![codecov.io](http://codecov.io/github/PoisotLab/BioEnergeticFoodWebs.jl/coverage.svg?branch=master)](http://codecov.io/github/PoisotLab/BioEnergeticFoodWebs.jl?branch=master)

## In development

![CI](https://github.com/PoisotLab/BioEnergeticFoodWebs.jl/workflows/CI/badge.svg?branch=next)
[![codecov.io](http://codecov.io/github/PoisotLab/BioEnergeticFoodWebs.jl/coverage.svg?branch=next)](http://codecov.io/github/PoisotLab/BioEnergeticFoodWebs.jl?branch=next)

